searchData={"content_type":"text/plain","items":[{"doc":"EDoc Doclet module for producing Markdown.","ref":"edown_doclet.html","title":"edown_doclet","type":"module"},{"doc":"Main doclet entry point. Also see edoc:layout/2 for layout-related options, and edoc:get_doc/2 for options related to reading source files. Options: {file_suffix, string()} Specifies the suffix used for output files. The default value is &quot;.md&quot; . {hidden, bool()} If the value is true , documentation of hidden modules and functions will also be included. The default value is false . {overview, //edoc/edoc:filename() } Specifies the name of the overview-file. By default, this doclet looks for a file &quot;overview.edoc&quot; in the target directory. {private, bool()} If the value is true , documentation of private modules and functions will also be included. The default value is false . {stylesheet, string()} Specifies the URI used for referencing the stylesheet. The default value is &quot;stylesheet.css&quot; . If an empty string is specified, no stylesheet reference will be generated. {stylesheet_file, //edoc/edoc:filename() } Specifies the name of the stylesheet file. By default, this doclet uses the file &quot;stylesheet.css&quot; in the priv subdirectory of the EDoc installation directory. The named file will be copied to the target directory. {title, string()} Specifies the title of the overview-page.","ref":"edown_doclet.html#run/2","title":"edown_doclet.run/2","type":"function"},{"doc":"Markdown layout module for EDoc. Derived from edoc_layout , which is part of the Erlang/OTP application EDoc. The module is intended to be used together with edoc.","ref":"edown_layout.html","title":"edown_layout","type":"module"},{"doc":null,"ref":"edown_layout.html#markdown/3","title":"edown_layout.markdown/3","type":"function"},{"doc":"The layout function. Options to the standard layout: {index_columns, integer()} Specifies the number of column pairs used for the function index tables. The default value is 1. {pretty_printer, atom()} Specifies how types and specifications are pretty printed. If the value erl_pp is specified the Erlang pretty printer (the module erl_pp ) will be used. The default is to do no pretty printing which implies that lines can be very long. {stylesheet, string()} Specifies the URI used for referencing the stylesheet. The default value is &quot;stylesheet.css&quot; . If an empty string is specified, no stylesheet reference will be generated. {sort_functions, boolean()} If true , the detailed function descriptions are listed by name, otherwise they are listed in the order of occurrence in the source file. The default value is true . {xml_export, Module::atom()} Specifies an xmerl callback module to be used for exporting the documentation. See xmerl:export_simple_content/2 for details. See also: //edoc/edoc:layout/2 .","ref":"edown_layout.html#module/2","title":"edown_layout.module/2","type":"function"},{"doc":null,"ref":"edown_layout.html#overview/2","title":"edown_layout.overview/2","type":"function"},{"doc":null,"ref":"edown_layout.html#package/2","title":"edown_layout.package/2","type":"function"},{"doc":null,"ref":"edown_layout.html#type/1","title":"edown_layout.type/1","type":"function"},{"doc":"Markdown for EDoc - common support functions","ref":"edown_lib.html","title":"edown_lib","type":"module"},{"doc":null,"ref":"edown_lib.html#export/2","title":"edown_lib.export/2","type":"function"},{"doc":null,"ref":"edown_lib.html#get_attrval/2","title":"edown_lib.get_attrval/2","type":"function"},{"doc":null,"ref":"edown_lib.html#redirect_uri/1","title":"edown_lib.redirect_uri/1","type":"function"},{"doc":null,"ref":"edown_make.html","title":"edown_make","type":"module"},{"doc":"Reads ConfigFile and calls edoc:application/3 The ConfigFile will be read using file:script/1 , and should return {App, Dir, Options} , as required by edoc:application/3 . This function does not manage dependencies. It is simply a wrapper around edoc:application/3 .","ref":"edown_make.html#from_script/1","title":"edown_make.from_script/1","type":"function"},{"doc":"Escript entry point for building edown (or edoc) documentation Usage: edown_make -config ConfigFile [-pa P] [-pz P] Calls from_script(ConfigFile) and then terminates, with a normal or non-normal exit code, depending on the outcome. Make sure $EDOWN/edown_make is runnable, and in the command path, and that the edown BEAM files are in the Erlang path (e.g. using $ERL_LIBS). The edown_make escript also accepts -pa P and/or -pz P flags as a means of locating the edown byte code. Note, however, that the function edown_make:main/1 only expects the config file as an input argument, corresponding to escript edown_make.beam ConfigFile (The reason for this is that if the beam file can be passed directly to the escript command, setting the path should also be doable that way).","ref":"edown_make.html#main/1","title":"edown_make.main/1","type":"function"},{"doc":null,"ref":"edown_xmerl.html","title":"edown_xmerl","type":"module"},{"doc":null,"ref":"edown_xmerl.html##element#/5","title":"edown_xmerl.#element#/5","type":"function"},{"doc":null,"ref":"edown_xmerl.html##root#/4","title":"edown_xmerl.#root#/4","type":"function"},{"doc":null,"ref":"edown_xmerl.html##text#/1","title":"edown_xmerl.#text#/1","type":"function"},{"doc":null,"ref":"edown_xmerl.html##xml-inheritance#/0","title":"edown_xmerl.#xml-inheritance#/0","type":"function"},{"doc":"# Edown - Markdown generated from Edoc #\n\nCopyright (c) 2014-23 Ulf Wiger\n\n__Authors:__ [`ulf@wiger.net`](mailto:ulf@wiger.net).\n\nStatus:\n------\nMore-or-less readable Markdown can be generated.\nA doclet needs to be written that also creates\na markdown-based index and overview. Currently, the\nedoc_doclet creates an index.html and overview.html,\nwhich do not point to the .md files.\n\nTo generate markdown edoc, run:\n\n```\n\nedoc:application(App, [{doclet, edown_doclet} | OtherOpts]).\n\n```\n\nThe `edown_xmerl` module is used as an xmerl export module.\nIt converts xmerl's \"simple xml\" to Markdown syntax. Note that\nGH-flavored Markdown allows HTML markup (at least common tags),\nbut doesn't expand markdown markup inside HTML markup, so the\n`edown_xmerl` module has to know the context in which it operates.\n\nTop-level README\n----------------\n\nUsing the option `{top_level_readme, {File, BaseHref}}`, a github-friendly\n`README.md` in the top directory can be generated from the `overview.edoc`.\nThis file is the same as the `doc/README.md` file already generated,\nbut with relative links corrected (using `BaseHref`) so that they actually\nwork. This step is needed since Github doesn't support relative paths in\nMarkdown links.\n\nExample:\n\n`{top_level_readme, {\"./README.md\", \"http://github.com/uwiger/edown\"}}`\n\nThe conversion function will fetch the current branch name from git,\nand fail if it cannot do so.\n\nIt is also possible to add the branch information specifically:\n`{top_level_readme, {File, BaseHref, Branch}}`, although this shouldn't be\nnecessary as long as edown can derive the branch name from git.\n\nUsing Atlassian Stash or Gitlab as target\n-----------------------------------------\n\nThe option `{edown_target, github | stash | gitlab}` can be used to control\nwhich is the intended host repository. This affects how links are rewritten in\norder to find related files and stay on the correct branch.\n\nThe default value is `github`.\n\nNote that at the moment, the\n[Markdown viewer plugin](https://bitbucket.org/atlassianlabs/stash-markdown-viewer-plugin) will be needed in order to render the generated documentation\nas Markdown on Stash.\n\nGithub customizations\n=====================\n`pre` tags are converted into github \"fenced\" code blocks, i.e.\n\n```\n```...'''\n```\n\n. If language-specific syntax highlighting is desired,\nthis can be achieved by adding a 'lang' attribute, e.g.\n\n```\n \nincr(X) ->\n  %% This should be formatted with Erlang syntax highlighting\n  X + 1.\n \n```\n\nwhich should format like this:\n\n```erlang\n\nincr(X) ->\n  %% This should be formatted with Erlang syntax highlighting\n  X + 1.\n\n```\n\nRebar customizations\n====================\nA set of escripts can be found under\n[edown/priv/scripts/](http://github.com/uwiger/edown/blob/master/priv/scripts/), which\ncan be used to customize the `rebar` built process. The\n[rebar.config.script](http://github.com/uwiger/edown/blob/master/priv/scripts/rebar.config.script)\nfile should be copied into your application, next to `rebar.config`.\nIt will sense if `doc` is a current target, and will then include\n`edown` in the `deps`; otherwise, it removes it. This way, you will\nnot have to pull down `edown` unless you really want to build the\ndocs. It will also locate edown along your path, in which case\nit doesn't need to pull it down again.\n\nThe script will also start the `inets` application, so that you\ncan include URLs as part of a `doc_path` option (see below).\n\nLinks to other EDown-generated docs\n===================================\nThere is a way to configure Edoc/Edown to get URLs right even\nwhen linking to other Edown-generated docs on Github.\n\nFirst, you need to specify paths to the `edoc-info` files for\neach repository as part of `edoc_opts` in your rebar.config, e.g.\n\n```\n   {doc_path, [\"http://raw.github.com/uwiger/setup/master/doc\",\n               \"http://raw.github.com/uwiger/gproc/master/doc\"]}\n```\n\nNote (1) that we use \"http:://...\", not \"https://...\", since\nEdoc doesn't recognize the latter. Also note that we use URLs\nto the raw files. This is for Edoc as it fetches the `edoc-info`\nfiles. Edown will detect and rewrite such links in the generated\noutput, since \"raw\" links wouldn't work for the markdown files.\n\nThe next issue is that Edoc uses httpd_client to fetch the\n`edoc-info` files, which requires `inets` to be started. To\nfurther complicate matters, `ssl` (and thus `crypto`, 'asn1' and\n`public_key`) must also be started, since Github will\nredirect to https.\n\nOne way to solve this is to use the escripts found under\n`edown/priv/scripts`.\n\nNOTE\n====\nEDoc provides a plugin structure, so that one may specify own\nlayout modules, export modules, and doclets. However, there is\nsome overlap esp. between the layout and doclet modules, and\nseveral functions are expected to produce files on their own.\nThis causes a problem for EDown, since it cannot handle frames.\nInstead, it would probably like to create one overview file with\ndifferent sections. It would have been better to have a framework\nwhere some plugin functions identify the different files to be\nwritten, and the outline of each, other plugins convert to suitable\ncontent representation (e.g. HTML or Markdown), and EDoc then\nwrites the files necessary.\n\nFor now, EDown focuses on producing reasonable Markdown, rather\nthan complying fully with the plugin framework. That is, the\nedown_doclet module will not go out of its way to function together\nwith any other layout module than edown_layout, and vice versa.\n\nmarkedoc\n========\n\nThe sed script bin/markedoc works in the opposite direction and converts\nyour `README.md` to an `EDoc` file.\n\nSee [bin/MARKEDOC-README.md](http://github.com/uwiger/edown/blob/master/bin/MARKEDOC-README.md).\n\n**FreeBSD, Mac OS X**`$ sed -E -f markedoc.sed   >  `\n\n**Linux**`$ sed -r -f markedoc.sed   >  `","ref":"readme.html","title":"Edown - Markdown generated from Edoc","type":"extras"},{"doc":"edown_doclet   \n   edown_layout   \n   edown_lib   \n   edown_make   \n   edown_xmerl","ref":"readme.html#modules","title":"Modules ## - Edown - Markdown generated from Edoc","type":"extras"}]}